<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14.0.1) on Wed Aug 25 22:08:27 CEST 2021 -->
<title>User</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-08-25">
<meta name="description" content="declaration: package: com.zelyvanna.bdoefficiency.model, class: User">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">com.zelyvanna.bdoefficiency.model</a></div>
<h1 title="Class User" class="title">Class User</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">com.zelyvanna.bdoefficiency.model.User</div>
</div>
<section class="description">
<hr>
<pre>@Entity
public class <span class="typeNameLabel">User</span>
extends java.lang.Object</pre>
<div class="block">User Entity</div>
</section>
<section class="summary">
<ul class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<li class="blockList">
<section class="fieldSummary"><a id="field.summary">
<!--   -->
</a>
<h2>Field Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.Set&lt;<a href="Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#characters">characters</a></span></code></th>
<td class="colLast">
<div class="block">Characters of the USer</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private @NotBlank @Size(max=50) @Email java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#email">email</a></span></code></th>
<td class="colLast">
<div class="block">Email of the user</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.Set&lt;<a href="Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#grinds">grinds</a></span></code></th>
<td class="colLast">
<div class="block">Grinds of the user</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.Long</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#id">id</a></span></code></th>
<td class="colLast">
<div class="block">Unique identifier of the User</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private @NotBlank @Size(max=120) java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#password">password</a></span></code></th>
<td class="colLast">
<div class="block">Password of the User</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.Set&lt;<a href="Role.html" title="class in com.zelyvanna.bdoefficiency.model">Role</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#roles">roles</a></span></code></th>
<td class="colLast">
<div class="block">Roles of the user</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private @NotBlank @Size(max=20) java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#username">username</a></span></code></th>
<td class="colLast">
<div class="block">Username of the user</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">User</a></span>()</code></th>
<td class="colLast">
<div class="block">User empty contructor</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String)">User</a></span>&#8203;(java.lang.String&nbsp;username,
java.lang.String&nbsp;email,
java.lang.String&nbsp;password)</code></th>
<td class="colLast">
<div class="block">User Constructor</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>java.util.Set&lt;<a href="Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCharacters()">getCharacters</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getEmail()">getEmail</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>java.util.Set&lt;<a href="Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGrinds()">getGrinds</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>java.lang.Long</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getId()">getId</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPassword()">getPassword</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>java.util.Set&lt;<a href="Role.html" title="class in com.zelyvanna.bdoefficiency.model">Role</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRoles()">getRoles</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getUsername()">getUsername</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCharacters(java.util.Set)">setCharacters</a></span>&#8203;(java.util.Set&lt;<a href="Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a>&gt;&nbsp;characters)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setEmail(java.lang.String)">setEmail</a></span>&#8203;(java.lang.String&nbsp;email)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setGrinds(java.util.Set)">setGrinds</a></span>&#8203;(java.util.Set&lt;<a href="Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a>&gt;&nbsp;grinds)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setId(java.lang.Long)">setId</a></span>&#8203;(java.lang.Long&nbsp;id)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setPassword(java.lang.String)">setPassword</a></span>&#8203;(java.lang.String&nbsp;password)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setRoles(java.util.Set)">setRoles</a></span>&#8203;(java.util.Set&lt;<a href="Role.html" title="class in com.zelyvanna.bdoefficiency.model">Role</a>&gt;&nbsp;roles)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setUsername(java.lang.String)">setUsername</a></span>&#8203;(java.lang.String&nbsp;username)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<li class="blockList">
<section class="fieldDetails"><a id="field.detail">
<!--   -->
</a>
<h2>Field Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="id">id</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">java.lang.Long</span>&nbsp;<span class="memberName">id</span></div>
<div class="block">Unique identifier of the User</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="username">username</a></h3>
<div class="memberSignature"><span class="annotations">@NotBlank
@Size(max=20)
</span><span class="modifiers">private</span>&nbsp;<span class="returnType">@NotBlank @Size(max=20) java.lang.String</span>&nbsp;<span class="memberName">username</span></div>
<div class="block">Username of the user</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="email">email</a></h3>
<div class="memberSignature"><span class="annotations">@NotBlank
@Size(max=50)
@Email
</span><span class="modifiers">private</span>&nbsp;<span class="returnType">@NotBlank @Size(max=50) @Email java.lang.String</span>&nbsp;<span class="memberName">email</span></div>
<div class="block">Email of the user</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="password">password</a></h3>
<div class="memberSignature"><span class="annotations">@NotBlank
@Size(max=120)
</span><span class="modifiers">private</span>&nbsp;<span class="returnType">@NotBlank @Size(max=120) java.lang.String</span>&nbsp;<span class="memberName">password</span></div>
<div class="block">Password of the User</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="roles">roles</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">java.util.Set&lt;<a href="Role.html" title="class in com.zelyvanna.bdoefficiency.model">Role</a>&gt;</span>&nbsp;<span class="memberName">roles</span></div>
<div class="block">Roles of the user</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="grinds">grinds</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">java.util.Set&lt;<a href="Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a>&gt;</span>&nbsp;<span class="memberName">grinds</span></div>
<div class="block">Grinds of the user</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="characters">characters</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">java.util.Set&lt;<a href="Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a>&gt;</span>&nbsp;<span class="memberName">characters</span></div>
<div class="block">Characters of the USer</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;()">User</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">User</span>()</div>
<div class="block">User empty contructor</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;(java.lang.String,java.lang.String,java.lang.String)">User</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">User</span>&#8203;(<span class="arguments">java.lang.String&nbsp;username,
java.lang.String&nbsp;email,
java.lang.String&nbsp;password)</span></div>
<div class="block">User Constructor</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>username</code> - Username of the User</dd>
<dd><code>email</code> - Email of the User</dd>
<dd><code>password</code> - Password of the User</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="getId()">getId</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.lang.Long</span>&nbsp;<span class="memberName">getId</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setId(java.lang.Long)">setId</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setId</span>&#8203;(<span class="arguments">java.lang.Long&nbsp;id)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getUsername()">getUsername</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.lang.String</span>&nbsp;<span class="memberName">getUsername</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setUsername(java.lang.String)">setUsername</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setUsername</span>&#8203;(<span class="arguments">java.lang.String&nbsp;username)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getEmail()">getEmail</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.lang.String</span>&nbsp;<span class="memberName">getEmail</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setEmail(java.lang.String)">setEmail</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setEmail</span>&#8203;(<span class="arguments">java.lang.String&nbsp;email)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getPassword()">getPassword</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.lang.String</span>&nbsp;<span class="memberName">getPassword</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setPassword(java.lang.String)">setPassword</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setPassword</span>&#8203;(<span class="arguments">java.lang.String&nbsp;password)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getRoles()">getRoles</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.Set&lt;<a href="Role.html" title="class in com.zelyvanna.bdoefficiency.model">Role</a>&gt;</span>&nbsp;<span class="memberName">getRoles</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setRoles(java.util.Set)">setRoles</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setRoles</span>&#8203;(<span class="arguments">java.util.Set&lt;<a href="Role.html" title="class in com.zelyvanna.bdoefficiency.model">Role</a>&gt;&nbsp;roles)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getGrinds()">getGrinds</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.Set&lt;<a href="Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a>&gt;</span>&nbsp;<span class="memberName">getGrinds</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setGrinds(java.util.Set)">setGrinds</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setGrinds</span>&#8203;(<span class="arguments">java.util.Set&lt;<a href="Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a>&gt;&nbsp;grinds)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getCharacters()">getCharacters</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.Set&lt;<a href="Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a>&gt;</span>&nbsp;<span class="memberName">getCharacters</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setCharacters(java.util.Set)">setCharacters</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setCharacters</span>&#8203;(<span class="arguments">java.util.Set&lt;<a href="Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a>&gt;&nbsp;characters)</span></div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
